<?php
/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/
/*///////////////// Register/Enqueue Scripts Functions Start                                             */
/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/
  
  
  
function load_theme_scripts() { 
    
	// get the theme's options starts
	global $options; 
	$options = get_option('troller_theme_options');
	// get the theme's options ends
		
	
	// add all the styles starts
    wp_register_style('style',  get_template_directory_uri() . '/style.css', false, '1.0', 'all');
	wp_register_style('buttons-css',  get_template_directory_uri() . '/styles/buttons.css', false, '1.0', 'all');
	wp_register_style('photoswipe',  get_template_directory_uri() . '/styles/photoswipe.css', false, '1.0', 'all');
	wp_register_style('retina',  get_template_directory_uri() . '/styles/retina.css', false, '1.0', 'only screen and (-webkit-min-device-pixel-ratio: 2)');
	wp_register_style('add2home',  get_template_directory_uri() . '/styles/add2home.css', false, '1.0', 'all');
	
	wp_enqueue_style('style'); 
	wp_enqueue_style('buttons-css'); 
	wp_enqueue_style('photoswipe'); 
	wp_enqueue_style('retina');
	wp_enqueue_style('add2home'); 
	
	// check if the user chose a style for his theme starts
	if ( isset($options['themeStyle']) && ($options['themeStyle']!="default") ){
		wp_register_style('themeStyle',  get_template_directory_uri() . '/styles/variations/' . $options['themeStyle'], false, '1.0', 'all');
		wp_enqueue_style('themeStyle');
	}
	// check if the user chose a style for his theme ends
	
	// add all the styles ends
	
	// add klass starts
	wp_register_script('klass',  get_template_directory_uri() . '/scripts/klass.min.js', '1.0', false );  
	wp_enqueue_script('klass');
	// add klass ends
	
	// add jquery starts
	wp_enqueue_script('jquery'); 
	// add jquery ends
	
	
	// add jquery-ui starts
	wp_register_script("jquery-ui-effects", get_template_directory_uri() . '/scripts/effects.jquery-ui.min.js', array('jquery'), "1.9.1");
	
	if(!is_page_template( 'page-home.php' )){
	wp_enqueue_script('jquery-ui-effects');
	};
	// add jquery-ui ends
	
	
	wp_register_script('touchSwipe',  get_template_directory_uri() . '/scripts/touchSwipe.js', array('jquery'), '1.0', true );
	wp_register_script('photoswipe',  get_template_directory_uri() . '/scripts/photoswipe.js', array('jquery'), '1.0', true );
	wp_register_script('roundabout',  get_template_directory_uri() . '/scripts/jquery.roundabout.min.js', array('jquery'), '1.0', true );
	
	wp_register_script('retina',  get_template_directory_uri() . '/scripts/retina.js', array('jquery'), '1.0', true );
	wp_register_script('add2home',  get_template_directory_uri() . '/scripts/add2home.js', array('jquery'), '1.0', true );
	
	
	wp_enqueue_script('touchSwipe');
	wp_enqueue_script('photoswipe');
	wp_enqueue_script('roundabout');
	
	
	// check if the current page is the contact starts
    if(is_page_template( 'page-contact.php' ) && ($options['hideContactForm'] == "false" || $options['hideContactForm'] == '')){
		wp_register_script('contactjs',  get_template_directory_uri() . '/scripts/contact.js', array('jquery'), '1.0', true);
		wp_enqueue_script('contactjs');
	}
	// check if the current page is the contact ends 
	
	wp_enqueue_script('retina');
	wp_enqueue_script('add2home');
	
	wp_register_script('custom',  get_template_directory_uri() . '/scripts/custom.js', array('jquery'), '1.0', true );  
	wp_enqueue_script('custom');
	
	
	
}  

    add_action('wp_enqueue_scripts', 'load_theme_scripts');



/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/
/*///////////////// Register/Enqueue Scripts Functions End                                               */
/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/
?>