<?php
/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/
/*///////////////// Metabox Functions Start                                                              */
/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/


/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/
/*///////////////// Page Metabox Functions Start                                                         */

// Add The Page Meta Box  
function add_page_meta_box() {  
	add_meta_box(  
		'page_meta_box', // $id  
        'Page Settings:', // $title  
        'show_page_custom_meta_box', // $callback  
        'page', // $page  
        'normal', // $context  
        'high'); // $priority  
    }  
    add_action('add_meta_boxes', 'add_page_meta_box');  

	// Field Array  
	$prefix = 'page_';  
	$page_custom_meta_fields = array(  
		array(  
			'label'=> 'Page Description:',  
			'desc'  => 'Enter a short description for your page here. This will appear at the top of the page.',  
			'id'    => $prefix.'desc',  
			'type'  => 'text'  
		),
		array(  
			'label'=> 'Portfolio Slug:',  
			'desc'  => 'Enter the slug for the portfolio you would like to show on this page.',  
			'id'    => $prefix.'taxonomy',  
			'type'  => 'text'  
		)
);  

// The Callback  
function show_page_custom_meta_box() {
	
	global $page_custom_meta_fields, $post;  
	// Use nonce for verification  
	echo '<input type="hidden" name="page_meta_box_nonce" value="'.wp_create_nonce(basename(__FILE__)).'" />';  
  
	// Begin the field table and loop  
    echo '<table class="form-table">';  
    foreach ($page_custom_meta_fields as $pageField) {  
        // get value of this field if it exists for this post  
        $meta = get_post_meta($post->ID, $pageField['id'], true);  
        // begin a table row with  
        echo '<tr> 
				<th><label for="'.$pageField['id'].'">'.$pageField['label'].'</label></th> 
                <td>';
				// switch starts - this allows future upgrades
                switch($pageField['type']) {  
                    // text  
					case 'text':  
						echo '<input type="text" name="'.$pageField['id'].'" id="'.$pageField['id'].'" value="'.$meta.'" size="90" />
						<br/><span class="description">'.$pageField['desc'].'</span>'; 
					break;	
					case 'upload':  
						echo '<input type="text" name="'.$pageField['id'].'" id="'.$pageField['id'].'" value="'.$meta.'" size="90" /><a href="" id="customUploadBtn" class="button">Upload</a> 
						<br/><span class="description">'.$pageField['desc'].'</span>';	
					break; 
				} // switch ends  
		echo '</td></tr>';  
    } // foreach ends  
    echo '</table>'; // end table  
}  

// Save the Data  
function save_page_custom_meta($post_id) {  
    global $page_custom_meta_fields;  
  
    // verify nonce  
    if (!wp_verify_nonce($_POST['page_meta_box_nonce'], basename(__FILE__)))  
        return $post_id;  
    // check autosave  
    if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE)  
        return $post_id;  
    // check permissions  
    if ('page' == $_POST['post_type']) {  
        if (!current_user_can('edit_page', $post_id))  
            return $post_id;  
        } elseif (!current_user_can('edit_post', $post_id)) {  
            return $post_id;  
    }  
  
    // loop through fields and save the data  
    foreach ($page_custom_meta_fields as $pageField) {  
        $pageOld = get_post_meta($post_id, $pageField['id'], true);  
        $pageNew = $_POST[$pageField['id']];  
        if ($pageNew && $pageNew != $pageOld) {  
            update_post_meta($post_id, $pageField['id'], $pageNew);  
        } elseif ('' == $pageNew && $pageOld) {  
            delete_post_meta($post_id, $pageField['id'], $pageOld);  
        }  
    } // foreach ends  
}  
add_action('save_post', 'save_page_custom_meta'); 

/*///////////////// Page Metabox Functions End                                                           */
/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/



/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/
/*///////////////// Metabox Functions End                                                                */
/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/
?>