<?php
/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/
/*///////////////// Custom Post Type Functions Start                                                     */
/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/

                                                          

add_action( 'init', 'create_post_types' );
function create_post_types() {
/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/
/*///////////////// Slider Post Type Starts                                                              */
 
	$labels = array(
        'name' => _x('Slider Items', 'post type general name','troller'),
		'singular_name' => _x('Slider Item', 'post type singular name','troller'),
		'add_new' => _x('Add New', 'Slider Item','troller'),
		'add_new_item' => __('Add New Slider Item','troller'),
		'edit_item' => __('Edit Slider Item','troller'),
		'new_item' => __('New Slider Item','troller'),
		'view_item' => __('View Slider Item','troller'),
		'search_items' => __('Search Slider Items','troller'),
		'not_found' =>  __('No Slider Items found','troller'),
		'not_found_in_trash' => __('No Slider Items found in Trash','troller'),
		'parent_item_colon' => ''
	);

	$supports = array('title', 'excerpt', 'revisions', 'thumbnail');

	register_post_type( 'slider', array(
		'labels' => $labels,
		'public' => true,
		'supports' => $supports,
		'has_archive' => true,
		'rewrite' => array('slug' => 'slider'),
		'exclude_from_search' => true,
		'menu_position' => 100
		)
	);
  
/*///////////////// Slider Post Type Ends                                                                */
/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/


/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/
/*///////////////// Portfolio Post Type Starts                                                           */
 
	$labels = array(
		'name' => _x('Portfolio Items', 'post type general name','troller'),
    	'singular_name' => _x('Portfolio Item', 'post type singular name','troller'),
    	'add_new' => _x('Add New', 'Portfolio Item','troller'),
		'add_new_item' => __('Add New Portfolio Item','troller'),
		'edit_item' => __('Edit Portfolio Item','troller'),
		'new_item' => __('New Portfolio Item','troller'),
		'view_item' => __('View Portfolio Item','troller'),
		'search_items' => __('Search Portfolio Items','troller'),
		'not_found' =>  __('No Portfolio Items found','troller'),
		'not_found_in_trash' => __('No Portfolio Items found in Trash','troller'),
		'parent_item_colon' => ''
	);

	$supports = array('title', 'revisions', 'editor',  'thumbnail');

	register_post_type( 'portfolio', array(
		'labels' => $labels,
		'public' => true,
		'supports' => $supports,
		'has_archive' => true,
		'rewrite' => array('slug' => 'portfolio'),
		'exclude_from_search' => true,
		'menu_position' => 100
		)
	);
  
/*///////////////// Portfolio Post Type Ends                                                             */
/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/



/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/
/*///////////////// Portfolio Taxonomy Starts                                                            */
	$labels = array(
		'name' => _x( 'Portfolios', 'taxonomy general name' ,'troller'),
		'singular_name' => _x( 'Portfolio', 'taxonomy singular name' ,'troller'),
		'search_items' =>  __( 'Search Portfolios' ,'troller'),
		'all_items' => __( 'All Portfolios' ,'troller'),
		'parent_item' => __( 'Parent Portfolio' ,'troller'),
		'parent_item_colon' => __( 'Parent Portfolio:' ,'troller'),
		'edit_item' => __( 'Edit Portfolio' ,'troller'),
		'update_item' => __( 'Update Portfolio' ,'troller'),
		'add_new_item' => __( 'Add New Portfolio' ,'troller'),
		'new_item_name' => __( 'New Portfolio Name' ,'troller'),
	);
	  
	register_taxonomy(
		'portfolios', 'portfolio', array(
				'hierarchical' => true,
				'rewrite' => array('slug' => 'portfolios'),
				'labels' => $labels
			)
	  );
/*///////////////// Portfolio Taxonomy Ends                                                              */
/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/
}



/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/
/*///////////////// Custom Post Type Functions End                                                       */
/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/
?>