<?php
/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/
/*///////////////// Load Styles From Folder Starts                                                       */

$alt_stylesheet_path = TEMPLATEPATH . '/styles/variations/';
$themeStyles = array();

if ( is_dir($alt_stylesheet_path) ) {
	if ($alt_stylesheet_dir = opendir($alt_stylesheet_path) ) { 
        while ( ($alt_stylesheet_file = readdir($alt_stylesheet_dir)) !== false ) {
            if(stristr($alt_stylesheet_file, ".css") !== false){
                $themeStyles[] = $alt_stylesheet_file;
            }
        }    
	}
}

array_unshift($themeStyles, "default"); 

/*///////////////// Load Styles From Folder Ends                                                         */
/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/



/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/
/*///////////////// Create The Theme Options Starts                                                      */

global $troller_options;
$troller_options = array (

// General Settings
array("name" => __('General Settings','troller'),
	"type" => "section",
	"item" => "generalSettings"
	),
	
array("type" => "open"),

array("name" => __('Theme Style:','troller'), 
	"desc" => __('Select a color scheme for your theme (by default it&rsquo;s "black" - "default").','troller'),
	"id" => "themeStyle",
	"type" => "select",
	"options" => $themeStyles,
	"std" => "default"),

array("name" => "", 
	"type" => "breakLine"),

array("name" => __('Description:','troller'),
	"desc" => __('The description will be displayed at the top of the page, to the right of the logo.','troller'),
	"id" => "description",
	"type" => "text",
	"std" => "Just an awesome mobile theme!"),

array("name" => "", 
	"type" => "breakLine"),

array( "name" => __('Custom Css:','troller'),
	"desc" => __('Add your custom &quot;Css&quot; here. This will override all the &quot;Css&quot; rules found in &quot;style.css&quot; (eg: a{color:#ff0000})','troller'),
	"id" => "customCss",
	"type" => "textarea",
	"std" => ""),

array("name" => "", 
	"type" => "breakLine"),

array("name" => __('Custom Favicon:','troller'),
	"desc" => __('Add the URL for your custom "favicon" here. Or click "Upload", browse for a file, and once uploaded click "Insert into Post".','troller'),
	"id" => "customFavicon",
	"type" => "upload",
	"std" => ""),

array("name" => "", 
	"type" => "breakLine"),

array("name" => __('Custom Logo:','troller'), 
	"desc" => __('Add the URL for your custom "logo" here. Or click "Upload", browse for a file, and once uploaded click "Insert into Post".','troller'),
	"id" => "customLogo",
	"type" => "upload",
	"std" => ""),

array("name" => "", 
	"type" => "breakLine"),

array("name" => __('Splash Icon:','troller'),
	"desc" => __('Upload your custom splash icon (Must be a PNG file 114px wide and 114px tall - for iPhone with iOS 4+).','troller'),
	"id" => "customIcon",
	"type" => "upload",
	"std" => ""),

array("name" => "", 
	"type" => "breakLine"),

array("name" => __('Splash Screen:','troller'),
	"desc" => __('Upload your custom splash screen (Must be a PNG file 320px wide and 460px tall - for iPhone with iOS 4+).','troller'),
	"id" => "customScreen",
	"type" => "upload",
	"std" => ""),

array("name" => "", 
	"type" => "breakLine"),

array("name" => __('Retina Splash Screen:','troller'),
	"desc" => __('Upload your custom splash screen (Must be a PNG file 640px wide and 1096px tall, and the name must end with - @2x - for iPhone with iOS 4+).','troller'),
	"id" => "customRetinaScreen",
	"type" => "upload",
	"std" => ""),

array("name" => "", 
	"type" => "breakLine"),

array("name" => __('Main Menu Title:','troller'),
	"desc" => __('You can change the main menu title here. It appears above the menu.','troller'),
	"id" => "mainMenuTitle",
	"type" => "text",
	"std" => "Navigation"),
	
array("name" => "", 
	"type" => "breakLine"),

array("name" => __('Social Menu:','troller'),
	"desc" => __('Hide the social menu from the sidebar.','troller'),
	"checkDesc"=> __('Toggle Social Menu','troller'),
	"id" => "socialMenu",
	"type" => "checkbox",
    "std" => "true"),
		
array("name" => "", 
	"type" => "breakLine"),

array("name" => __('Social Menu Title:','troller'),
	"desc" => __('You can change the social menu title here. It appears above the menu.','troller'),
	"id" => "socialMenuTitle",
	"type" => "text",
	"std" => "Get social with us"),
	
array("name" => "", 
	"type" => "breakLine"),

array("name" => __('Contact Menu:','troller'),
	"desc" => __('Hide the contact menu from the sidebar.','troller'),
	"checkDesc"=> __('Toggle Contact Menu','troller'),
	"id" => "contactMenu",
	"type" => "checkbox",
    "std" => "true"),

array("name" => "", 
	"type" => "breakLine"),

array("name" => __('Contact Menu Title:','troller'),
	"desc" => __('You can change the contact menu title here. It appears above the menu.','troller'),
	"id" => "contactMenuTitle",
	"type" => "text",
	"std" => "Get in touch with us"),		

array("name" => "", 
	"type" => "breakLine"),

array("name" => __('Sidebar Info:','troller'),
	"desc" => __('This text will apprear beneath all the menus, you can inform users about the way they can close/open the menu. Leave this field blank if you want to hide it.','troller'),
	"id" => "sidebarInfo",
	"type" => "text",
	"std" => "Tap the content to close"),		


array("name" => "", 
	"type" => "breakLine"),

array("name" => __('Page Numbers:','troller'),
	"desc" => __('How many page numbers are displayed before and after the current page, before showing arrows instead of numbers (first, previous, last, next).','troller'),
	"id" => "pageNumbersRange",
	"type" => "text",
	"std" => "2"),

array("name" => "", 
	"type" => "breakLine"),

array("name" => __('Copyright Text:','troller'),
	"desc" => __('Change the copyright text that appears in the footer of your theme.','troller'),
	"id" => "copyrightText",
	"type" => "text",
	"std" => "@ 2013 Copyright The Troller. All Rights Reserved."),

array("name" => "", 
	"type" => "breakLine"),

array("type" => "close"),

// Portfolio Page
array("name" => __('Portfolio Settings','troller'),
	"type" => "section",
	"item" => "portfolioSettings"
	),
	
array("type" => "open"),

array("name" => __('Number Of Items:','troller'),
	"desc" => __('Change the number of items that are displayed on a "Portfolio" page (one column style).','troller'),
	"id" => "portfolioItemsNumber",
	"type" => "text",
	"std" => '9'),

array("name" => "", 
	"type" => "breakLine"),
	
array("type" => "close"),

// Blog Page
array("name" => __('Blog Settings','troller'),
	"type" => "section",
	"item" => "blogSettings"
	),

array("type" =>"open"),

array("name" => __('Blog Excerpt:','troller'),
	"desc" => __('Check this option if you want to show the post "Excerpt" instead of the content for the blog/search/archives posts.','troller'),
	"checkDesc"=> __('Toggle Blog Excerpt','troller'),
	"id" => "blogShowExcerpt",
	"type" => "checkbox",
    "std" => "false"),

array("name" => "", 
	"type" => "breakLine"),

array( "type" => "close"),

// Contact Page
array("name" => __('Contact Settings','troller'),
	"type" => "section",
	"item" => "contactSettings"
	),
	
array("type" => "open"),

array("name" => __('Contact Email:','troller'),
	"desc" => __('The email address used by the "Contact" page to submit the message to.','troller'),
	"id" => "contactEmail",
	"type" => "text",
	"std" => ""),

array("name" => "", 
	"type" => "breakLine"),

array("name" => __('Success Message:', 'troller'),
	"desc" => __('Change the message that&rsquo;s displayed once the contact form has been submitted successfully.','troller'),
	"id" => "contactSuccess",
	"type" => "text",
	"std" => "Your email was sent!"),

array("name" => "", 
	"type" => "breakLine"),

array("name" => __('Name Error:', 'troller'),
	"desc" => __('Change the message that&rsquo;s displayed if the "name" field is empty.','troller'),
	"id" => "contactNameError",
	"type" => "text",
	"std" => "Please enter your name!"),

array("name" => "", 
	"type" => "breakLine"),

array("name" => __('Email Error:', 'troller'),
	"desc" => __('Change the message that&rsquo;s displayed if the "email" field is empty.','troller'),
	"id" => "contactEmailError",
	"type" => "text",
	"std" => "Please enter your email address!"),

array("name" => "", 
	"type" => "breakLine"),

array("name" => __('Invalid Email Error:', 'troller'),
	"desc" => __('Change the message that&rsquo;s displayed if the email address entered by the user is not a valid email address.','troller'),
	"id" => "contactInvalidEmailError",
	"type" => "text",
	"std" => "Please enter a valid email address!"),

array("name" => "", 
	"type" => "breakLine"),

array("name" => __('Message Error:', 'troller'),
	"desc" => __('Change the message that&rsquo;s displayed if the "message" field is empty.','troller'),
	"id" => "contactMessageError",
	"type" => "text",
	"std" => "Please enter your message!"),

array("name" => "", 
	"type" => "breakLine"),

array("name" => __('Hide Contact Form:','troller'), 
	"desc" => __('Check this option if you want to hide the entire contact form.','troller'),
	"checkDesc"=> __('Toggle Contact Form','troller'),
	"id" => "hideContactForm",
	"type" => "checkbox",
	"std" => "false"),

array("name" => "", 
	"type" => "breakLine"),

array("type" => "close"),

// SEO settings
array("name" => __('SEO Settings','troller'),
	"type" => "section",
	"item" => "seoSettings"
	),
	
array("type" => "open"),

array("name" => __('Google Analytics:','troller'),
	"desc" => __('Add your Google Analytics (or other tracking code) here.','troller'),
	"id" => "googleAnalytics",
	"type" => "textarea",
	"std" => ""),

array("name" => "", 
	"type" => "breakLine"),

array("type" => "close")

);

/*///////////////// Create The Theme Options Ends                                                        */
/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/
?>