<?php
/**
 * Template Name: Contact Page
 */
?>
<?php get_header(); ?>

<div class="decoration"></div>

<?php while ( have_posts() ) : the_post(); ?>
    <div class="container">
    <!-- page content starts -->
    <?php the_content(); ?>
    <!-- page content ends -->
    </div>
<?php endwhile;?>

<?php if($options['hideContactForm'] == "false" || $options['hideContactForm'] == '' ) { ?>
<!-- contact form starts -->
<div class="decoration"></div>

<div class="container">

    <div class="contactForm" id="contactForm">

        <div id="successMessage">
            <p><?php echo($options['contactSuccess']); ?></p>
        </div>
    
        <form id="contact" action="<?php echo get_template_directory_uri().'/php/contact.php'; ?>">
          <fieldset>
          
            <div class="formFieldWrap">
                <label for="contactName" id="name_label"><span class="labelText">Name (required)</span><span class="error" id="nameError"><?php echo $options['contactNameError'] ?></span></label>
                <input type="text" name="contactName" id="contactName" size="30" value="" class="text-input" />
            </div>
            
            <div class="formFieldWrap">
                <label for="contactEmail" id="email_label"><span class="labelText">Email (required)</span><span class="error" id="emailError"><?php echo $options['contactEmailError'] ?></span> <span class="error" id="emailError2"><?php echo $options['contactInvalidEmailError'] ?></span></label>
                <input type="text" name="contactEmail" id="contactEmail" size="30" value="" class="text-input" />
            </div>
            
            <div class="formFieldWrap">
                <label for="contactMessage" id="message_label"><span class="labelText">Message</span><span class="error" id="messageError"><?php echo $options['contactMessageError'] ?></span></label>
                <textarea  name="contactMessage" id="contactMessage" class="text-input"></textarea>
            </div>
            
            <p class="submitMessageWrap">
              <input type="submit" name="submitMessage" class="full-screen-button contactButton button black" id="contactSubmitBtn" value="Send"/>
              <input type="hidden" value="<?php echo $options['contactEmail']; ?>" name="contactAddress" id="contactAddress"/>
            </p>
            
          </fieldset>
        </form>
      
    </div>
    
</div>
<!-- contact form ends -->
<?php }; ?>


<?php get_footer(); ?>